首页 技术文章 后端开发 php-fpm启动不了怎么办?
正文 评论

php-fpm启动不了怎么办?

php-fpm启动不了的解决办法:1、重新下载一个64位的“ZendGuardLoader.so”;2、将其放到“/usr/local/zend/”下;3、重新执行“lamp php-fpm start”即可。

php-fpm启动不了怎么办?

本文操作环境:ubuntu 16.04系统、PHP5.3版、DELL G3电脑

php-fpm启动不了怎么办?php-fpm启动失败?

启动报错现象:wrong ELF class: ELFCLASS32

test@ubuntu:/usr/local/zend$ sudo lnmp php-fpm start
+-------------------------------------------+
| Manager for LNMP, Written by Licess |
+-------------------------------------------+
|  http://lnmp.org          |
+-------------------------------------------+
Starting php-fpm Failed loading /usr/local/zend/ZendGuardLoader.so: /usr/local/zend/ZendGuardLoader.so: wrong ELF class: ELFCLASS32
[03-May-2017 00:03:15] ERROR: FPM initialization failed
failed

此错误是因为php-fpm模块所调用的ZendGuardLoader.so模块为32位的模块,然而当前系统为64为系统,因此在启动时报错了,重新下载一个64位的ZendGuardLoader.so放到/usr/local/zend/下,然后重新执行lamp php-fpm start即可。

以下为修复步骤:

用file命令查看当前的ZendGuardLoader.so的文件信息,可以看到当前so文件为32位的文件。

test@ubuntu:/usr/local/zend$ file ZendGuardLoader.so

ZendGuardLoader.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

下载解压64位的ZendGuardLoader,然后替换原来的.so文件之后重新启动php-fpm

wget http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

tar -xvf ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

cp ZendGuardLoader-php-5.3-linux-glibc23-x86_64/php-5.3.x/ZendGuardLoader.so /usr/local/zend/

重新用file看下替换之后的ZendGuardLoader.so,可以看到当前为64位的文件了。

test@ubuntu:/usr/local/zend$ file ZendGuardLoader.so

ZendGuardLoader.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped

推荐学习:《PHP视频教程》

以上就是php-fpm启动不了怎么办?的详细内容,更多请关注主题君其它相关文章!

-=||=-收藏赞 (0)
更多主题
单栏极简文艺WordPress博客主题:Diaspora主题
¥ 0 关注:20,043
详情
简约黑白WordPress个人博客主题:Personal主题
¥ 0 关注:20,000
详情
v1.0.0
小程序收录免费WordPress主题:XCX主题
¥ 0 关注:19,620
详情
v1.0.0
一款简约单栏的免费WordPress博客主题:itheme主题
¥ 0 关注:18,115
详情
功能丰富切轻量的WordPress虚拟资源主题:Rizhuti主题
¥ 599 关注:18,004
详情
大气优雅免费WordPress博客主题:HONEY主题
¥ 0 关注:14,857
详情
回复
暂无评论

不要再留垃圾评论了,主题君整理资源不容易,留几句鼓励的话吧。